DriverFactory (Apache Geode 1.4.0)
Date: 2018-01-29

org.apache.geode.experimental.driver

## Class DriverFactory

- java.lang.Object
- - org.apache.geode.experimental.driver.DriverFactory

-     @Experimental
      public class DriverFactory
      extends java.lang.Object

  This is an experimental driver for connecting a client to a geode cluster. This driver is still under development. For a working, full featured client, use ClientCache in geode-core. This driver factory supports the builder style of chaining together mutators. This code is an experimental prototype and is presented "as is" with no warranty, suitability, or fitness of purpose implied.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DriverFactory` | `addLocator(java.lang.String host, int port)` Adds a locator at `host` and `port` to the set of locators to use.
    `Driver` | `create()` Creates a driver configured to use all the locators about which this driver factory knows.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DriverFactory

          public DriverFactory()

  - ### Method Detail

    - #### addLocator

          public DriverFactory addLocator(java.lang.String host,
                                          int port)

      Adds a locator at `host` and `port` to the set of locators to use.
      Parameters:
        `host` - Internet address or host name.
        `port` - Port number.
      Returns:
        This driver factory.

    - #### create

          public Driver create()
                        throws java.lang.Exception

      Creates a driver configured to use all the locators about which this driver factory knows.
      Returns:
        New driver.
      Throws:
        `java.lang.Exception`